이 콘텐츠는 선택한 언어로 제공되지 않습니다.
11.4. List Applications for a User
Description
List all applications for the specified user.
Method and URL Structure
| Method | URL Structure |
|---|---|
GET | /broker/rest/applications |
Request Parameters
Not applicable
cURL Command Example
$ curl -X GET https://openshift.redhat.com/broker/rest/applications --user user@example.com:password
JSON Response
The API returns a list of all applications for the specified user. The related resource links returned by the API have been left out for brevity. See Chapter 11, Applications for a description of each response parameter associated with an application.
{
"api_version": 1.6,
"data": [
{
"aliases": [],
"app_url": "http://myapp-mydomain.rhcloud.com/",
"build_job_url": null,
"building_app": null,
"building_with": null,
"creation_time": "2013-08-20T07:21:50Z",
"domain_id": "mydomain",
"embedded": {
"haproxy-1.4": {},
"mysql-5.5": {
"connection_url": "mysql://$OPENSHIFT_MYSQL_DB_HOST:$OPENSHIFT_MYSQL_DB_PORT/",
"username": "adminxcYKabL",
"password": "IgsS3_wQYF38",
"database_name": "myapp",
"info": "Connection URL: mysql://$OPENSHIFT_MYSQL_DB_HOST:$OPENSHIFT_MYSQL_DB_PORT/"
}
},
"framework": "php-5.4",
"gear_count": 2,
"gear_profile": "medium",
"git_url": "ssh://5213190e2587c8817a000121@myapp-mydomain.rhcloud.com/~/git/myapp.git/",
"health_check_path": "health_check.php",
"id": "5213190e2587c8817a000121",
"initial_git_url": null,
"links": {
},
"members": [
{
"explicit_role": null,
"from": [
{
"type": "domain",
"role": "admin"
}
],
"id": "520bd6bbdbd93c3dee00000d",
"name": "user@example.com",
"owner": true,
"role": "admin",
"type": "user"
}
],
"name": "myapp",
"scalable": true,
"ssh_url": "ssh://5213190e2587c8817a000121@myapp-mydomain.rhcloud.com"
}
],
"messages": [
{
"exit_code": 0,
"field": null,
"severity": "info",
"text": "Found 1 applications."
}
],
"status": "ok",
"supported_api_versions": [
1.0,
1.1,
1.2,
1.3,
1.4,
1.5,
1.6
],
"type": "applications",
"version": "1.6"
}